Sync Connection Data
Triggers a data sync for an existing connection within your Fivetran account without waiting for the next scheduled sync. This action does not override the standard sync frequency you defined in the Fivetran dashboard.
When schedule_type is set to manual, this endpoint is the only way syncs occur — including syncs in a rescheduled state. For a full walkthrough, see Trigger Manual Syncs.
Request schema
Path parameters
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
If force is true and the connection is currently syncing, it will stop the sync and re-run it. If force is false, the connection will sync only if it isn't currently syncing. The default value is false
POST /v1/connections/4107c213907114059a5544ad8fa66c52/sync HTTP/1.1 Accept: application/json;version=2 Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 19 { "force": true }
Responses
200
Response status code
Response status text
{ "code": "Success", "message": "Sync has been successfully triggered for connection with id 'string'" }